#include "common.h"
#include "thread_main.h"
#include "gpio_pwm_carship.h"
#include "gpio_pwm_ptz.h"
#include "mqtt.h"
#include "judg.h"
#include "delay.h"
#include "car.h"
#include "tank.h"
#include "ship.h"
#include "pao.h"

int Device_File_Init() {
    const char *readbuf=device_inspect();    
    //将第3个和第4个字符提取出来
    char *sub_str=malloc(5);
    sub_str[0]=readbuf[2];
    sub_str[1]=readbuf[3];
    sub_str[2]=readbuf[4];
    sub_str[3]=readbuf[5];
    sub_str[4]='\0';
    printf("开始初始化了");

    if(strcmp(sub_str,"0101")==0){//车的编码
        car_Init_0101() ;
        printf("使用型号%s\n",sub_str);
        free(sub_str) ;
    }else if(strcmp(sub_str,"0201")==0){//坦克的编码
        tank_Init_0201();
        printf("使用型号%s\n",sub_str);
        free(sub_str);
    }else if(strcmp(sub_str,"0301")==0){//船的编码
        ship_Init_0301();
        printf("使用型号%s\n",sub_str);
        free(sub_str);
    }else if(strcmp(sub_str,"0401")==0){//炮的编码
        ptr_Init_0401();
        printf("使用型号%s\n",sub_str);
        free(sub_str);
    }
    Delay_Ms(20,0);
    TOPIC=malloc(24);
    TOPIC2=malloc(24);
    TOPIC3= malloc(16);
    sprintf(TOPIC2,"dev2app/%s",readbuf);
    sprintf(TOPIC,"app2dev/%s",readbuf);
    sprintf(TOPIC3,"%s",readbuf);
    printf("1:%s,2:%s,3:%s\n",TOPIC,TOPIC2,TOPIC3);
    return 0;
}
